### Function

# ICalGLib ParserLineGenFunc

#### Declaration

    gchar*
    (* ICalParserLineGenFunc) (
      gchar* bytes,
      size_t size,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`bytes`

  Type: An array of `char`

  The bytes to process.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the function.

`size`

  Type: `size_t`

  The length of the bytes array.

`user_data`

  Type: `gpointer`

  The user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

One content line per invocation.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.